commit:     81f44044c6c0d33431f92e3ca1dd9a8ca69ffc36
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 10 06:19:14 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 10 09:15:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81f44044

dev-python/dask: Bump to 2024.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dask/Manifest             |  1 +
 dev-python/dask/dask-2024.2.0.ebuild | 93 ++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index 73700a2519e4..61f8896bce65 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,2 +1,3 @@
 DIST dask-2024.1.0.gh.tar.gz 8975960 BLAKE2B 
bcc72c1428d0626eb686551c69b0dcbc7b9615524bbcdbc1bb6d5113929f32d53cc7d0952622d352ef7413057b9f90689471b3540b3748beb6cddd0dbbdef2f6
 SHA512 
a2a436cba1f84d7223ed049c395807f900bc012d7fb8c8ae18c27b15787885e6a6a02cd17da2cc7f765b26469190217e2c8306495fbfc82e3018e1bcee54d24b
 DIST dask-2024.1.1.gh.tar.gz 9328425 BLAKE2B 
6b6208c59e0446816a962a9a3dc6a1754eba589810aacdab0c1ce38edd6d593763d1868578a344babfa74afd390ac1997d2461586b12180679fdc67ae26e0a74
 SHA512 
a5e424333c5d19f67d73c2b036544ef03122a99c2eb6a52019929f1e7b87297c776cbea713062372cf1685ef3b79d47734d6d0acd2c054ffadcbb3d96fb6deeb
+DIST dask-2024.2.0.gh.tar.gz 9335533 BLAKE2B 
c23bf3da4624b187f30cf0ca5fe885a705e8e4be9b9d919ff491399d1029d43c4343159acf9bd6a61611af7ecacd8c00bd1cb199176b742ad3c556e2a5da65c9
 SHA512 
8a0b5c17aa34b309aed370852ddfb25cde220de87fe9c1afd8d88f7a4abad9f4523c90424f8a5cc1d7186850f35071ee10e7a33396ca2c4c4be975783cc5fe2e

diff --git a/dev-python/dask/dask-2024.2.0.ebuild 
b/dev-python/dask/dask-2024.2.0.ebuild
new file mode 100644
index 000000000000..47cd95586a57
--- /dev/null
+++ b/dev-python/dask/dask-2024.2.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+       https://www.dask.org/
+       https://github.com/dask/dask/
+       https://pypi.org/project/dask/
+"
+SRC_URI="
+       https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/click-8.1[${PYTHON_USEDEP}]
+       >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+       >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+       >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+       >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+       >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+       >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/toolz[${PYTHON_USEDEP}]
+       >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+       test? (
+               dev-python/moto[${PYTHON_USEDEP}]
+               dev-python/numexpr[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               dev-python/scipy[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # fails with sqlalchemy-2.0, even though we don't use it x_x
+       sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+       sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # more tests relying on -Werror
+               
"dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+               dask/array/tests/test_random.py::test_RandomState_only_funcs
+               dask/dataframe/tests/test_dataframe.py::test_view
+               
dask/dataframe/tests/test_shuffle.py::test_npartitions_auto_raises_deprecation_warning
+               # TODO
+               
dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+               dask/tests/test_config.py::test__get_paths
+               dask/array/tests/test_linalg.py::test_solve_assume_a
+               
"dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+               
"dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+               dask/array/tests/test_image.py::test_preprocess
+               dask/tests/test_system.py::test_cpu_count_cgroups_v2
+               # require sqlalchemy<2.0
+               dask/dataframe/io/tests/test_sql.py
+               # crashes
+               
dask/tests/test_base.py::test_tokenize_object_with_recursion_error
+               # regression with new pandas (?)
+               dask/dataframe/tests/test_multi.py::test_concat5
+       )
+
+       if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       # fails if pyarrow is installed without USE=parquet
+                       # (optional dep, skipped if it's not installed at all)
+                       
dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_rerunfailures -m "not network"
+}

Reply via email to